package com.zehong.system.domain;

import com.zehong.common.annotation.Excel;

import java.math.BigDecimal;

public class TradeExpensesStatistics {

    @Excel(name = "部门")
    private String tradeDeptName;

    @Excel(name = "经办人")
    private String tradeTransactorName;

    @Excel(name = "条数")
    private int countNum;

    @Excel(name = "交易总额",isStatistics = true)
    private BigDecimal tradeTotal;

    @Excel(name = "交易支出总额",isStatistics = true)
    private BigDecimal totalDealPrice;

    private Long tradeDeptId;

    private Long tradeTransactor;

    public String sortType;

    public String getTradeDeptName() {
        return tradeDeptName;
    }

    public void setTradeDeptName(String tradeDeptName) {
        this.tradeDeptName = tradeDeptName;
    }

    public String getTradeTransactorName() {
        return tradeTransactorName;
    }

    public void setTradeTransactorName(String tradeTransactorName) {
        this.tradeTransactorName = tradeTransactorName;
    }

    public int getCountNum() {
        return countNum;
    }

    public void setCountNum(int countNum) {
        this.countNum = countNum;
    }

    public BigDecimal getTradeTotal() {
        return tradeTotal;
    }

    public void setTradeTotal(BigDecimal tradeTotal) {
        this.tradeTotal = tradeTotal;
    }

    public BigDecimal getTotalDealPrice() {
        return totalDealPrice;
    }

    public void setTotalDealPrice(BigDecimal totalDealPrice) {
        this.totalDealPrice = totalDealPrice;
    }

    public Long getTradeDeptId() {
        return tradeDeptId;
    }

    public void setTradeDeptId(Long tradeDeptId) {
        this.tradeDeptId = tradeDeptId;
    }

    public Long getTradeTransactor() {
        return tradeTransactor;
    }

    public void setTradeTransactor(Long tradeTransactor) {
        this.tradeTransactor = tradeTransactor;
    }

    public String getSortType() {
        return sortType;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }
}
